Patch "selftests: net: Correct ping6 expected rc from 2 to 1" has been added to the 5.4-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: net: Correct ping6 expected rc from 2 to 1

to the 5.4-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-net-correct-ping6-expected-rc-from-2-to-1.patch
and it can be found in the queue-5.4 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.



commit 9be7a1c5af8937af177eff98b6b467f112543bc9
Author: Jie2x Zhou <jie2x.zhou@xxxxxxxxx>
Date:   Thu Dec 9 10:02:30 2021 +0800

    selftests: net: Correct ping6 expected rc from 2 to 1
    
    [ Upstream commit 92816e2629808726af015c7f5b14adc8e4f8b147 ]
    
    ./fcnal-test.sh -v -t ipv6_ping
    TEST: ping out, VRF bind - ns-B IPv6 LLA                                      [FAIL]
    TEST: ping out, VRF bind - multicast IP                                       [FAIL]
    
    ping6 is failing as it should.
    COMMAND: ip netns exec ns-A /bin/ping6 -c1 -w1 fe80::7c4c:bcff:fe66:a63a%red
    strace of ping6 shows it is failing with '1',
    so change the expected rc from 2 to 1.
    
    Fixes: c0644e71df33 ("selftests: Add ipv6 ping tests to fcnal-test")
    Reported-by: kernel test robot <lkp@xxxxxxxxx>
    Suggested-by: David Ahern <dsahern@xxxxxxxxx>
    Signed-off-by: Jie2x Zhou <jie2x.zhou@xxxxxxxxx>
    Link: https://lore.kernel.org/r/20211209020230.37270-1-jie2x.zhou@xxxxxxxxx
    Signed-off-by: Jakub Kicinski <kuba@xxxxxxxxxx>
    Signed-off-by: Sasha Levin <sashal@xxxxxxxxxx>

diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 782a8da5d9500..475ac62373e92 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -1884,7 +1884,7 @@ ipv6_ping_vrf()
 		log_start
 		show_hint "Fails since VRF device does not support linklocal or multicast"
 		run_cmd ${ping6} -c1 -w1 ${a}
-		log_test_addr ${a} $? 2 "ping out, VRF bind"
+		log_test_addr ${a} $? 1 "ping out, VRF bind"
 	done
 
 	for a in ${NSB_IP6} ${NSB_LO_IP6} ${NSB_LINKIP6}%${NSA_DEV} ${MCAST}%${NSA_DEV}



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux